<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$maindb = 'accmast';
$society = $_SESSION["society_" . $dbname];
$file = "member.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `flatno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `block` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `wing` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `floor` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `mobile` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `flatno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `block` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `wing` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `floor` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY flatno";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY flatno";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `block`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `wing`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `floor`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `mobile`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT `accode`,`name`,`block`,`wing`,`floor`,`flatno`, mobile FROM `$maindb` WHERE `grpcode` = '010' and `series` = '$society' $cond
          $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
// print table($result);
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [
        'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'name' => $r['name'],
        'block' => $r['block'],
        'wing' => $r['wing'],
        'floor' => $r['floor'],
        'flatno' => $r['flatno'],
        'mobile' => $r['mobile'],
        'action' => "$file?mode=edit&series=$society&accode=$r[accode]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
